Skip to content

Get List Credit Card ​

This API is to get list of all credit card attached to your Cellcast account.

Parameters for getting List Credit Card ​

Headers Parameters ​

ParametersDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here
Content-Typeapplication/json

Code Samples ​

GET https://api.cellcast.com/api/v1/user/getCards

bash
curl --location 'https://api.cellcast.com/api/v1/user/getCards' \
--header 'Accept: application/json \
--header 'Authorization: Bearer {{API_KEY}}'

Replace with the actual API key that you own.

Responses ​

200 Success

json
{
    "app_type": "web",
    "app_version": "1.0",
    "maintainence": 0,
    "new_version": 0,
    "force_update": 0,
    "invalid_token": 0,
    "refresh_token": "",
    "show_message": 0,
    "is_enc": false,
    "status": true,
    "message": "Success",
    "message_type": "toast",
    "data": [
        {
            "id": "card_1QfFjoGOd000000000000000",
            "object": "card",
            "address_city": null,
            "address_country": null,
            "address_line1": null,
            "address_line1_check": null,
            "address_line2": null,
            "address_state": null,
            "address_zip": null,
            "address_zip_check": null,
            "allow_redisplay": "unspecified",
            "brand": "Visa",
            "country": "US",
            "customer": "cus_RHub0000000000",
            "cvc_check": "pass",
            "dynamic_last4": null,
            "exp_month": 2,
            "exp_year": 2034,
            "fingerprint": "66BK630000000000",
            "funding": "credit",
            "last4": "1111",
            "metadata": {},
            "name": "John Doe",
            "regulated_status": "unregulated",
            "tokenization_method": null,
            "wallet": null
        },
        {
            "id": "card_1QXjDzGOd000000000000000",
            "object": "card",
            "address_city": null,
            "address_country": null,
            "address_line1": null,
            "address_line1_check": null,
            "address_line2": null,
            "address_state": null,
            "address_zip": null,
            "address_zip_check": null,
            "allow_redisplay": "unspecified",
            "brand": "Visa",
            "country": "US",
            "customer": "cus_RHub0000000000",
            "cvc_check": "pass",
            "dynamic_last4": null,
            "exp_month": 4,
            "exp_year": 2026,
            "fingerprint": "tkLmXx0000000000",
            "funding": "credit",
            "last4": "4242",
            "metadata": {},
            "name": "Jane Doe",
            "regulated_status": "unregulated",
            "tokenization_method": null,
            "wallet": null
        }
    ],
    "error": {}
}

401 Unauthorized

json
{
  "code": 401,
  "message": "Token expired",
  "stack": "APIError: Token expired ...."
}